Queues
Copy Page
WUAPI
Messages
Send plain text
POST
Send image
POST
Send audio
POST
Send video
POST
Send document
POST
Send location
POST
Send link
POST
Send contact
POST
Delete message by id
DELETE
Get message by id
GET
Users
Create new user
POST
Get all users
GET
Instances
Create new instance
POST
List All instance
GET
Update instance
PUT
List by instance id
GET
Delete instance
DELETE
Restart instance
GET
Get QRCode
GET
Get QRCode in base64 image.
GET
Disconnect instance
GET
Update profile picture
PUT
Delete profile picture
DELETE
Update profile name
PUT
Webhook
Connection event for your instance
Disconnection event for your instance
Event when you receive a message
Event when you send a message
Queues
Get queue instance
GET
Delete queue instance
DELETE
Get queue failed instance
GET
Retry queue
GET
Groups
Create new group
Get all groups
Get group by id
Add contact to group
Update picture of group
Set admins only
Add and remove admins in group
Manage
Restart server
Raiz
Groups
Get invite code
Leave the group
Schemas
Sample Schemas
Pet
Category
Tag
Schemas
ErrorResponseDTO
ChatMessage
requestBodyReceivedAndDelivery
error
Error
PlainTextMessageDto
LocationMessage
BaseMessageResponseDto
ImageMessage
SendImageMessageDto
VideoMessage
SendAudioMessageDto
DocumentMessage
SendVideoMessageDto
AudioMessage
SendDocumentMessageDto
VoiceMessage
SendLocationMessageDto
StickerMessage
SendLinkMessageDto
SendContactMessageDto
CreateUserDto
PickTypeClass
UsersEntity
CreateInstanceDto
CreateInstanceResponseDto
InstanceResponseDto
UpdateInstanceDto
UpdateInstanceResponseDto
ReturnInstanceResponseDto
ReturnInstanceQrCodeResponseDto
UpdateInstanceProfilePictureDto
UpdateInstanceProfilePictureResponseDto
UpdateInstanceProfileNameDto
CreateGroupsDto
GroupsEntity
CreateGroupsResponseDto
UpdateGroupsDto
UpdateGroupsAddContactsDto
UpdateGroupsResponseDto
UpdateGroupsUpdateProfilePictureDto
UpdateGroupsAdminsOnlyDto
UpdateGroupsUpdatePromoteDemoteDto
ReturnMenageResponseDto
GetGroupsInviteCodeResponseDto
Queues
Copy Page
Get queue instance
GET
/queues/{instanceId}
Try it
Run in Apidog
Run in Apidog
Last modified:
2025-08-23 15:58:26
OperationId:
QueuesController_getQueue
Request
Authorization
Add parameter in header
authorization
Example:
authorization: ********************
Path Params
Generate Code
Request Code Samples
Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request
Request Example
Shell
JavaScript
Java
Swift
cURL
cURL-Windows
Httpie
wget
PowerShell
curl
--location
'/queues/'
\
--header
'authorization: <api-key>'
Responses
🟢
200
OK
Generate Code
This response does not have a body.
ðŸŸ
400
Bad Request
🔴
500
Server Error
Modified atÂ
2025-08-23 15:58:26
Previous
Event when you send a message
Next
Delete queue instance